Skip to content
Ona Docs

DeletePrebuild

POST/gitpod.v1.PrebuildService/DeletePrebuild

Deletes a prebuild.

Prebuilds are automatically deleted after some time. Use this method to manually delete a prebuild before automatic cleanup, for example to remove a prebuild that should no longer be used.

Deletion is processed asynchronously. The prebuild will be marked for deletion and removed from the system in the background.

Examples

  • Delete prebuild:

    Marks a prebuild for deletion and removes it from the system.

    prebuildId: "07e03a28-65a5-4d98-b532-8ea67b188048"
Body ParametersJSONExpand Collapse
prebuildId: string

prebuild_id specifies the prebuild to delete

formatuuid

DeletePrebuild

curl https://app.gitpod.io/api/gitpod.v1.PrebuildService/DeletePrebuild \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "prebuildId": "07e03a28-65a5-4d98-b532-8ea67b188048"
        }'
{}
Returns Examples
{}